# Create

Launch stage: GA

`POST /api/2.0/mlflow/registered-models/create`

Creates a new registered model with the name specified in the request body.
 Throws `RESOURCE_ALREADY_EXISTS` if a registered model with the given name exists.

API scopes: mlflow

## Request body

- `name` (string, optional)
  Register models under this name
- `tags` (array of object, optional)
  Additional metadata for registered model.
  - `key` (string, optional)
    The tag key.
  - `value` (string, optional)
    The tag value.
- `description` (string, optional)
  Optional description for registered model.

## Returns

- `registered_model` (object, optional)
  - `name` (string, optional)
    Unique name for the model.
  - `creation_timestamp` (int64, optional)
    Timestamp recorded when this `registered_model` was created.
  - `last_updated_timestamp` (int64, optional)
    Timestamp recorded when metadata for this `registered_model` was last updated.
  - `user_id` (string, optional)
    User that created this `registered_model`
  - `description` (string, optional)
    Description of this `registered_model`.
  - `latest_versions` (array of object, optional)
    Collection of latest model versions for each stage.
     Only contains models with current `READY` status.
    - `name` (string, optional)
      Unique name of the model
    - `version` (string, optional)
      Model's version number.
    - `creation_timestamp` (int64, optional)
      Timestamp recorded when this `model_version` was created.
    - `last_updated_timestamp` (int64, optional)
      Timestamp recorded when metadata for this `model_version` was last updated.
    - `user_id` (string, optional)
      User that created this `model_version`.
    - `current_stage` (string, optional)
      Current stage for this `model_version`.
    - `description` (string, optional)
      Description of this `model_version`.
    - `source` (string, optional)
      URI indicating the location of the source model artifacts, used when creating `model_version`
    - `run_id` (string, optional)
      MLflow run ID used when creating `model_version`, if `source` was generated by an
       experiment run stored in MLflow tracking server.
    - `status` (string, optional)
      Current status of `model_version`
      Possible values: `PENDING_REGISTRATION`, `FAILED_REGISTRATION`, `READY`
    - `status_message` (string, optional)
      Details on current `status`, if it is pending or failed.
    - `tags` (array of object, optional)
      Tags: Additional metadata key-value pairs for this `model_version`.
      - `key` (string, optional)
        The tag key.
      - `value` (string, optional)
        The tag value.
    - `run_link` (string, optional)
      Run Link: Direct link to the run that generated this version
  - `tags` (array of object, optional)
    Tags: Additional metadata key-value pairs for this `registered_model`.
    - `key` (string, optional)
      The tag key.
    - `value` (string, optional)
      The tag value.

## Response

```json
{
  "registered_model": {
    "name": "string",
    "creation_timestamp": 0,
    "last_updated_timestamp": 0,
    "user_id": "string",
    "description": "string",
    "latest_versions": [
      {}
    ],
    "tags": [
      {}
    ]
  }
}
```

